Package org.drinkless.tdlib

# Class TdApi.InputBackgroundLocal

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputBackground
org.drinkless.tdlib.TdApi.InputBackgroundLocal

Enclosing class:
  `TdApi`

public static class TdApi.InputBackgroundLocal extends TdApi.InputBackground
A background from a local file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputBackground

  `TdApi.InputBackground.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputFile`
  `background`
  Background file to use.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputBackgroundLocal()`
  A background from a local file.
  `InputBackgroundLocal(TdApi.InputFile background)`
  A background from a local file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### background

    public TdApi.InputFile background
    Background file to use. Only inputFileLocal and inputFileGenerated are supported. The file must be in JPEG format for wallpapers and in PNG format for patterns.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputBackgroundLocal

    public InputBackgroundLocal()
    A background from a local file.

  - ### InputBackgroundLocal

    public InputBackgroundLocal(TdApi.InputFile background)
    A background from a local file.
    Parameters:
      `background` - Background file to use. Only inputFileLocal and inputFileGenerated are supported. The file must be in JPEG format for wallpapers and in PNG format for patterns.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputBackground`
    Returns:
      this.CONSTRUCTOR